package com.totopia.server.commons.data.entity;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import org.springframework.data.annotation.CreatedBy;
import org.springframework.data.annotation.LastModifiedBy;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.persistence.MappedSuperclass;

/**
 * Created by rajeevkumarsingh on 19/08/17.
 */

@MappedSuperclass
@JsonIgnoreProperties(value = { "createdBy", "updatedBy" }, allowGetters = true)
@SuperBuilder
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
public abstract class UserDateAuditEntity extends DateAuditEntity {

  private static final long serialVersionUID = 6379346917688414915L;

  @CreatedBy
  private Long createdBy;

  @LastModifiedBy
  private Long updatedBy;

}
