package com.totopia.server.modules.dashboard.entity;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

import com.totopia.server.commons.data.entity.UserDateAuditEntity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Entity
@Table(name = "dashboard")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class DashboardEntity extends UserDateAuditEntity {
  private static final long serialVersionUID = 8891163223262220481L;

  @Id
  @GeneratedValue(strategy = GenerationType.IDENTITY)
  private Integer id;

  @Basic
  @Column(name = "title", nullable = false, length = 150)
  private String title;

  @Basic
  @Column(name = "description", nullable = true, length = 500)
  private String description;

  @Basic
  @Column(name = "url", nullable = false, length = 250)
  private String url;

  @Basic
  @Column(name = "sort_order", nullable = false)
  private Integer sortOrder;

  @Builder.Default
  @Basic
  @Column(name = "display", nullable = false)
  private Boolean display = true;
}
